cURL
curl "https://rxresu.me/api/openapi/auth/account/export" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/auth/account/export"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/auth/account/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/auth/account/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/auth/account/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/auth/account/export")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/auth/account/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"exportedAt": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"image": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resumes": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"tags": [
"<string>"
],
"isPublic": true,
"showDownloadButtons": true,
"isLocked": true,
"data": {
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"summary": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"content": "<string>",
"showHeading": true
},
"sections": {
"profiles": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"network": "<string>",
"username": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
}
}
],
"showHeading": true
},
"experience": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"company": "<string>",
"position": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"roles": [
{
"id": "<string>",
"position": "<string>",
"period": "<string>",
"description": "<string>",
"dates": {
"start": "<unknown>",
"end": "<unknown>",
"present": "<unknown>",
"raw": "<unknown>"
}
}
],
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"education": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"school": "<string>",
"degree": "<string>",
"area": "<string>",
"grade": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"projects": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"languages": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"language": "<string>",
"fluency": "<string>",
"level": 2.5
}
],
"showHeading": true
},
"interests": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"name": "<string>",
"keywords": [
"<string>"
]
}
],
"showHeading": true
},
"awards": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"awarder": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"certifications": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"issuer": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"publications": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"publisher": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"volunteer": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"organization": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"references": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"position": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"phone": "<string>",
"description": "<string>"
}
],
"showHeading": true
},
"skills": "<unknown>"
},
"customSections": [
{
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"id": "<string>",
"type": "cover-letter",
"items": [
{
"id": "<string>",
"hidden": true,
"recipient": "<string>",
"content": "<string>"
}
],
"showHeading": true,
"keywordLayout": "<unknown>"
}
],
"metadata": {
"template": "azurill",
"layout": {
"sidebarWidth": 30,
"pages": [
{
"fullWidth": true,
"main": [
"<string>"
],
"sidebar": [
"<string>"
]
}
],
"sidebarSide": "left"
},
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"notes": "<string>",
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"coverLetters": [
{
"name": "<string>",
"recipient": "<string>",
"content": "<string>",
"style": {
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"metadata": {
"template": "azurill",
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
},
"sectionId": "<string>",
"itemId": "<string>"
},
"id": "<string>",
"sourceResumeId": "<string>",
"sourceApplicationId": "<string>",
"senderLinked": true,
"designLinked": true,
"isLocked": true,
"revision": 4503599627370496,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"greeting": "<string>",
"signOff": "<string>",
"layout": "freeform",
"recipientName": "",
"recipientCompany": "",
"letterDate": "<string>"
}
],
"applications": [
{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"fallbackReason": "unsafe-url"
},
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"career": {
"profile": {
"targetRoles": [],
"locations": [],
"priorities": "",
"minBase": {
"amount": null,
"currency": "USD",
"period": "year"
},
"maxOfficeDays": 2,
"noticeWeeks": 26,
"memoryMode": "ask"
},
"facts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"text": "<string>",
"category": "<string>",
"source": {
"kind": "user-message",
"id": "<string>",
"quote": "<string>"
},
"sourceKey": "<string>",
"status": "<string>",
"revisions": [
{
"text": "<string>",
"at": "<string>"
}
]
}
],
"stories": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"data": {
"title": "<string>",
"situation": "<string>",
"task": "<string>",
"action": "<string>",
"applicationId": "<string>",
"result": "",
"reflection": "",
"factIds": [],
"tags": []
}
}
],
"artifacts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>"
}
],
"schedules": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"kind": "<string>",
"query": "<string>",
"lead": "<string>",
"locale": "<string>",
"timezone": "<string>",
"enabled": true,
"email": true,
"nextRunAt": "2023-11-07T05:31:56Z",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"intervalDays": -1,
"aiProviderId": "<string>"
}
],
"notifications": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"key": "<string>",
"notice": {
"type": "opportunities",
"count": 4503599627370496,
"query": "<string>"
},
"url": "<string>",
"readAt": "2023-11-07T05:31:56Z",
"emailedAt": "2023-11-07T05:31:56Z",
"emailAttemptedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"body": "<string>"
}
],
"threads": [
{
"id": "<string>",
"userId": "<string>",
"aiProviderId": "<string>",
"sourceResumeId": "<string>",
"workingResumeId": "<string>",
"coverLetterId": "<string>",
"scope": "<string>",
"applicationId": "<string>",
"title": "<string>",
"editsProposed": -1,
"editsAccepted": -1,
"status": "<string>",
"reviewPatches": true,
"activeRunId": "<string>",
"activeStreamId": "<string>",
"activeRunStartedAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"messages": [
{
"id": "<string>",
"userId": "<string>",
"threadId": "<string>",
"role": "<string>",
"status": "<string>",
"sequence": -1,
"uiMessage": {},
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"id": "<string>",
"userId": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"storageKey": "<string>",
"filename": "<string>",
"mediaType": "<string>",
"size": -1,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"opportunities": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"role": "<string>",
"company": "<string>",
"location": "<string>",
"snippet": "<string>",
"description": "<string>",
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"dismissedAt": "2023-11-07T05:31:56Z",
"trackedApplicationId": "<string>"
}
],
"jobs": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduleId": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"attempts": -1,
"lease": "<string>",
"leaseUntil": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"transcripts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"original": "<string>",
"edited": "<string>",
"model": "<string>"
}
],
"workspaces": [
{
"applicationId": "<string>",
"userId": "<string>",
"data": {
"answers": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": [
"<string>"
]
}
],
"checklist": [
5
],
"questions": [
{
"text": "<string>",
"origin": "<string>"
}
],
"evidence": {},
"ticks": {},
"message": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authentication
Export user account data
Returns a JSON-serializable export of the authenticated user’s profile, documents, applications, career knowledge, preparation, schedules and coaching conversations. Images remain URL references; coaching attachments include storage references. Secrets such as password hashes, tokens, and API keys are never included. Requires authentication.
GET
/
auth
/
account
/
export
cURL
curl "https://rxresu.me/api/openapi/auth/account/export" --header "x-api-key: <api-key>"import requests
url = "https://rxresu.me/api/openapi/auth/account/export"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rxresu.me/api/openapi/auth/account/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rxresu.me/api/openapi/auth/account/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rxresu.me/api/openapi/auth/account/export"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rxresu.me/api/openapi/auth/account/export")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rxresu.me/api/openapi/auth/account/export")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"exportedAt": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"username": "<string>",
"displayUsername": "<string>",
"image": "<string>",
"emailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"resumes": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"tags": [
"<string>"
],
"isPublic": true,
"showDownloadButtons": true,
"isLocked": true,
"data": {
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"summary": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"content": "<string>",
"showHeading": true
},
"sections": {
"profiles": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"network": "<string>",
"username": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
}
}
],
"showHeading": true
},
"experience": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"company": "<string>",
"position": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"roles": [
{
"id": "<string>",
"position": "<string>",
"period": "<string>",
"description": "<string>",
"dates": {
"start": "<unknown>",
"end": "<unknown>",
"present": "<unknown>",
"raw": "<unknown>"
}
}
],
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"education": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"school": "<string>",
"degree": "<string>",
"area": "<string>",
"grade": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"projects": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"languages": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"language": "<string>",
"fluency": "<string>",
"level": 2.5
}
],
"showHeading": true
},
"interests": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"icon": "<string>",
"iconColor": "<string>",
"name": "<string>",
"keywords": [
"<string>"
]
}
],
"showHeading": true
},
"awards": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"awarder": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"certifications": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"issuer": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"publications": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"title": "<string>",
"publisher": "<string>",
"date": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"volunteer": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"organization": "<string>",
"location": "<string>",
"period": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"description": "<string>",
"dates": {
"start": "<string>",
"end": "<string>",
"present": true,
"raw": "<string>"
}
}
],
"showHeading": true
},
"references": {
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"items": [
{
"id": "<string>",
"hidden": true,
"name": "<string>",
"position": "<string>",
"website": {
"url": "<string>",
"label": "<string>",
"inlineLink": true
},
"phone": "<string>",
"description": "<string>"
}
],
"showHeading": true
},
"skills": "<unknown>"
},
"customSections": [
{
"title": "<string>",
"icon": "<string>",
"columns": 3,
"hidden": true,
"keepTogether": true,
"startOnNewPage": true,
"id": "<string>",
"type": "cover-letter",
"items": [
{
"id": "<string>",
"hidden": true,
"recipient": "<string>",
"content": "<string>"
}
],
"showHeading": true,
"keywordLayout": "<unknown>"
}
],
"metadata": {
"template": "azurill",
"layout": {
"sidebarWidth": 30,
"pages": [
{
"fullWidth": true,
"main": [
"<string>"
],
"sidebar": [
"<string>"
]
}
],
"sidebarSide": "left"
},
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"notes": "<string>",
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"coverLetters": [
{
"name": "<string>",
"recipient": "<string>",
"content": "<string>",
"style": {
"basics": {
"name": "<string>",
"headline": "<string>",
"email": "<string>",
"phone": "<string>",
"location": "<string>",
"website": {
"url": "<string>",
"label": "<string>"
},
"customFields": [
{
"id": "<string>",
"icon": "<string>",
"text": "<string>",
"link": "<string>"
}
]
},
"picture": {
"hidden": true,
"fit": "cover",
"url": "<string>",
"size": 272,
"rotation": 180,
"aspectRatio": 1.5,
"borderRadius": 50,
"borderColor": "<string>",
"borderWidth": 1,
"shadowColor": "<string>",
"shadowWidth": 1
},
"metadata": {
"template": "azurill",
"page": {
"gapX": 1,
"gapY": 1,
"marginX": 50,
"marginY": 50,
"format": "a4",
"locale": "<string>",
"hideLinkUnderline": true,
"hideIcons": true,
"hideSectionIcons": true,
"dateFormat": "short"
},
"design": {
"level": {
"icon": "<string>",
"type": "hidden"
},
"colors": {
"primary": "<string>",
"text": "<string>",
"background": "<string>"
}
},
"typography": {
"body": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"heading": {
"fontFamily": "<string>",
"fontWeights": [
"100"
],
"fontSize": 15,
"lineHeight": 2.25
},
"hyphenation": true
},
"styleRules": "<unknown>",
"stylesheet": {
"mode": "legacy",
"source": {
"languageVersion": 0,
"text": "<string>"
}
},
"check": {
"ignored": [
"<string>"
],
"hiddenTerms": [
"<string>"
]
}
},
"sectionId": "<string>",
"itemId": "<string>"
},
"id": "<string>",
"sourceResumeId": "<string>",
"sourceApplicationId": "<string>",
"senderLinked": true,
"designLinked": true,
"isLocked": true,
"revision": 4503599627370496,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"greeting": "<string>",
"signOff": "<string>",
"layout": "freeform",
"recipientName": "",
"recipientCompany": "",
"letterDate": "<string>"
}
],
"applications": [
{
"id": "<string>",
"company": "<string>",
"role": "<string>",
"location": "<string>",
"salary": "<string>",
"status": "saved",
"closedReason": "accepted",
"resumeId": "<string>",
"coverLetterId": "<string>",
"sentResumeVersionId": "<string>",
"sentCheckScore": 0,
"sentCoverLetterVersionId": "<string>",
"source": "<string>",
"tags": [
"<string>"
],
"sourceUrl": "<string>",
"jobDescription": "<string>",
"postingSource": {
"method": "paste",
"format": "text",
"truncated": true,
"completeness": "unknown",
"requestedUrl": "<string>",
"resolvedUrl": "<string>",
"retrievedAt": "2023-11-07T05:31:56Z",
"providerFetchedAt": "2023-11-07T05:31:56Z",
"fallbackReason": "unsafe-url"
},
"requirements": [
"<string>"
],
"matchScore": 50,
"aiMetadata": {},
"notes": "<string>",
"resumeFileUrl": "<string>",
"resumeFileName": "<string>",
"coverLetterUrl": "<string>",
"coverLetterName": "<string>",
"followUpAt": "2023-11-07T05:31:56Z",
"followUpNote": "<string>",
"contacts": [
{
"name": "<string>",
"role": "",
"type": "",
"email": "",
"phone": ""
}
],
"activity": [
{
"id": "<string>",
"at": "2023-11-07T05:31:56Z",
"type": "stage",
"stage": "saved"
}
],
"appliedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"career": {
"profile": {
"targetRoles": [],
"locations": [],
"priorities": "",
"minBase": {
"amount": null,
"currency": "USD",
"period": "year"
},
"maxOfficeDays": 2,
"noticeWeeks": 26,
"memoryMode": "ask"
},
"facts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"text": "<string>",
"category": "<string>",
"source": {
"kind": "user-message",
"id": "<string>",
"quote": "<string>"
},
"sourceKey": "<string>",
"status": "<string>",
"revisions": [
{
"text": "<string>",
"at": "<string>"
}
]
}
],
"stories": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"data": {
"title": "<string>",
"situation": "<string>",
"task": "<string>",
"action": "<string>",
"applicationId": "<string>",
"result": "",
"reflection": "",
"factIds": [],
"tags": []
}
}
],
"artifacts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"title": "<string>",
"data": {
"kind": "fit",
"headline": "<string>",
"summary": "<string>",
"requirements": [
{
"text": "<string>",
"origin": "posting",
"status": "supported",
"evidence": "<string>",
"factIds": []
}
],
"checks": [
{
"label": "<string>",
"met": true,
"text": "<string>"
}
],
"ask": {
"person": "<string>",
"text": "<string>"
}
},
"evidence": {
"factIds": [
"<string>"
],
"storyIds": [
"<string>"
]
},
"jobId": "<string>",
"inputVersion": "<string>"
}
],
"schedules": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"interviewId": "<string>",
"kind": "<string>",
"query": "<string>",
"lead": "<string>",
"locale": "<string>",
"timezone": "<string>",
"enabled": true,
"email": true,
"nextRunAt": "2023-11-07T05:31:56Z",
"lastQueuedAt": "2023-11-07T05:31:56Z",
"intervalDays": -1,
"aiProviderId": "<string>"
}
],
"notifications": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"key": "<string>",
"notice": {
"type": "opportunities",
"count": 4503599627370496,
"query": "<string>"
},
"url": "<string>",
"readAt": "2023-11-07T05:31:56Z",
"emailedAt": "2023-11-07T05:31:56Z",
"emailAttemptedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"body": "<string>"
}
],
"threads": [
{
"id": "<string>",
"userId": "<string>",
"aiProviderId": "<string>",
"sourceResumeId": "<string>",
"workingResumeId": "<string>",
"coverLetterId": "<string>",
"scope": "<string>",
"applicationId": "<string>",
"title": "<string>",
"editsProposed": -1,
"editsAccepted": -1,
"status": "<string>",
"reviewPatches": true,
"activeRunId": "<string>",
"activeStreamId": "<string>",
"activeRunStartedAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"messages": [
{
"id": "<string>",
"userId": "<string>",
"threadId": "<string>",
"role": "<string>",
"status": "<string>",
"sequence": -1,
"uiMessage": {},
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"id": "<string>",
"userId": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"storageKey": "<string>",
"filename": "<string>",
"mediaType": "<string>",
"size": -1,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"opportunities": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"url": "<string>",
"role": "<string>",
"company": "<string>",
"location": "<string>",
"snippet": "<string>",
"description": "<string>",
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"dismissedAt": "2023-11-07T05:31:56Z",
"trackedApplicationId": "<string>"
}
],
"jobs": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"scheduleId": "<string>",
"dueAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"attempts": -1,
"lease": "<string>",
"leaseUntil": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"transcripts": [
{
"id": "<string>",
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"applicationId": "<string>",
"original": "<string>",
"edited": "<string>",
"model": "<string>"
}
],
"workspaces": [
{
"applicationId": "<string>",
"userId": "<string>",
"data": {
"answers": [
{
"id": "<string>",
"question": "<string>",
"answer": "<string>",
"factIds": [
"<string>"
]
}
],
"checklist": [
5
],
"questions": [
{
"text": "<string>",
"origin": "<string>"
}
],
"evidence": {},
"ticks": {},
"message": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"defined": true,
"code": "<string>",
"status": 123,
"message": "<string>",
"data": "<unknown>"
}Authorizations
apiKeybearerAuthcookieAuth
The API key to authenticate requests.
Was this page helpful?